×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Mar 2003
    Location
    Bremen, Germany
    Posts
    106

    J2ME Polish Version 1.0 RC5

    Hi everyone,

    J2ME Polish 1.0 RC5 has just been released on http://www.j2mepolish.org today.

    J2ME Polish is a suite of tools, of which everyone meets a definite need of a J2ME developer.

    Features include:

    * Automatic compiling, preverification, JAD-creation, obfuscation and packaging of J2ME applications.

    * With the powerful preprocessing capabilities and the integrated device database device-optimizations have never been easier!

    * J2ME Polish has an optional GUI, which is much more powerful than the MIDP-standard, but which is compatible to the MIDP-standard.
    The GUI works on MIDP/1.0 and MIDP/2.0 devices and allows the usage of MIDP/2.0 features like the POPUP ChoiceGroup on MIDP/1.0 devices as well.
    The GUI is designed with simple CSS-textfiles:
    Code:
    	background-color: yellow; 
    	border-color: red;
    	font-color: green;
    	font-style: bold;
    	font-face: proportional;
    	layout: center;
    * Game Engine: Use the MIDP/2.0 game API on MIDP/1.0 devices as well.

    * View your System.out.println()-messages on real devices with the logging framework.
    When the logging is disabled, absolutely no traces will be left in the application.
    Example:
    Code:
    //#debug info
    System.out.println("application initialised");
    You can download J2ME Polish at http://www.j2mepolish.org

    View all included devices at
    http://www.j2mepolish.org/devices-overview.html

    J2ME Polish is published under the Open Source license GPL, commercial licenses are also available.

    ---

    Improvements in the RC5 release are:
    better integration with NetBeans and some other IDEs, support of floating point calculation for CLDC/1.1 devices, as well as some misc. bugfixes and improvements.

    ---
    Thanks for your feedback and best regards,
    Robert

  2. #2
    Registered User
    Join Date
    Mar 2003
    Location
    Bremen, Germany
    Posts
    106

    Preverifying

    Just wanted to let you know that there's a problem with old versions of the Wireless Toolkit:
    WTK 2.1 or higher is needed by J2ME Polish.

    If you have a problem with preverifying, please install either the WTK 2.1 or the WTK 2.2 and adjust the "wtk.home" property within the "build.xml" file (this property is defined at the start of the file).

    Best regards,
    Robert

    The wireless toolkit can be obtained from Sun at http://java.sun.com/products/j2mewtoolkit/index.html

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×